Offer a way to manager the list of followed accounts on twitter

RESOLVED FIXED in 1.1

Status

enhancement
RESOLVED FIXED
6 years ago
6 years ago

People

(Reporter: florian, Assigned: florian)

Tracking

(Blocks 1 bug)

trunk
x86
Other
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [1.1-nice-to-have])

Attachments

(1 attachment)

*** Original post on bio 684 at 2011-02-04 13:49:00 UTC ***

We should add a way to see the list of followed people.
Possible way:
 - fill the participants list of the timeline chat rooms with all followed people.
 - put all of them in the buddy list in a "twitter" group (or <account name> twitter, or whatever).

We should also add a way to follow new people when seeing their tweets (Probably people whose tweet have been shown because of the track feature).
We should offer ways to stop following someone.
Blocks: 954035
*** Original post on bio 684 at 2011-02-05 03:46:04 UTC ***

(In reply to comment #0)
> We should add a way to see the list of followed people.
>  - put all of them in the buddy list in a "twitter" group (or <account name>
> twitter, or whatever).
I like this way and keeping the participants list for current/recent tweets.

> We should also add a way to follow new people when seeing their tweets
Add a buddy to the buddy list to follow them?

> (Probably people whose tweet have been shown because of the track feature).
> We should offer ways to stop following someone.
Maybe we can add more on hover things to each tweet that are reply/retweet/(un)follow? (Follow/unfollow would depend whether it's from a tracked keyword or not.)
Component: General → Twitter
Whiteboard: [1.1-nice-to-have]
Posted patch Patch v1Splinter Review
*** Original post on bio 684 as attmnt 824 at 2011-09-15 23:47:00 UTC ***

This patch adds either a "Follow" or a "Stop following" action in the tweet context menu.
Also, using the Add Buddy dialog will make the account follow the entered user name.

Not handled:
- putting anything in the buddy list
- putting all the followees in the participants list of the timeline. Do we want this? If we do, it requires calling this API (https://dev.twitter.com/docs/api/1/get/users/lookup) per batches of 100 users once we have received the friends array from the user stream.
Assignee: nobody → florian
Status: NEW → ASSIGNED
Comment on attachment 8352567 [details] [diff] [review]
Patch v1

*** Original change on bio 684 attmnt 824 at 2011-09-15 23:57:27 UTC ***

Looks good, any question I had were answered on IRC. Thanks for implementing this!
Attachment #8352567 - Flags: review+
*** Original post on bio 684 at 2011-09-15 23:58:50 UTC ***

(In reply to comment #2)
> - putting all the followees in the participants list of the timeline. Do we
> want this? If we do, it requires calling this API
> (https://dev.twitter.com/docs/api/1/get/users/lookup) per batches of 100 users
> once we have received the friends array from the user stream.

Also, I don't think we want to put these in the participants list until they actualy make a tweet. :)
*** Original post on bio 684 at 2011-09-16 12:06:01 UTC ***

Comment on attachment 8352567 [details] [diff] [review] (bio-attmnt 824)
Patch v1

This attachment was checked in as http://hg.instantbird.org/instantbird/rev/fccb0af1ba5e
Blocks: 954473
Blocks: 954474
*** Original post on bio 684 at 2011-09-16 13:03:42 UTC ***

(In reply to comment #2)
> Created an attachment (id=824) [details]
> Patch v1
> Not handled:
> - putting anything in the buddy list
> - putting all the followees in the participants list of the timeline. Do we
> want this? If we do, it requires calling this API
> (https://dev.twitter.com/docs/api/1/get/users/lookup) per batches of 100 users
> once we have received the friends array from the user stream.

I spun off the remaining issues into bug 954474 (bio 1039) and bug 954473 (bio 1038), respectively.
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.1
You need to log in before you can comment on or make changes to this bug.